PROGRAM GALENET
USE CODELIST_CREATION

TYPE(CDLVAR), DIMENSION(8):: X
TYPE(CDLLHS), DIMENSION(1):: PHI
TYPE(CDLEQ), DIMENSION(2):: EQ
TYPE(CDLINEQ), DIMENSION(6):: INEQ
TYPE(CDLINEQ), DIMENSION(16):: BND

CALL INITIALIZE_CODELIST(X)

PHI(1)=0
! S3
INEQ(1)=1.D+00*X(4)-20.D+00
! S2
INEQ(2)=1.D+00*X(2)+1.D+00*X(3)-20.D+00
! S1
INEQ(3)=1.D+00*X(1)-20.D+00
! D8
INEQ(4)=-1.D+00*X(8)+30.D+00
! D6
INEQ(5)=-1.D+00*X(5)+10.D+00
! D7
INEQ(6)=-1.D+00*X(6)-1.D+00*X(7)+20.D+00
! NODE5
EQ(1)=1.D+00*X(3)+1.D+00*X(4)-1.D+00*X(7)-1.D+00*X(8)
! NODE4
EQ(2)=1.D+00*X(1)+1.D+00*X(2)-1.D+00*X(5)-1.D+00*X(6)
BND(15)=-X(8)+0D+00
BND(16)=X(8)-30.D+00
BND(11)=-X(6)+0D+00
BND(12)=X(6)-2.D+00
BND(9)=-X(5)+0D+00
BND(10)=X(5)-10.D+00
BND(13)=-X(7)+0D+00
BND(14)=X(7)-20.D+00
BND(1)=-X(1)+0D+00
BND(2)=X(1)-30.D+00
BND(7)=-X(4)+0D+00
BND(8)=X(4)-10.D+00
BND(5)=-X(3)+0D+00
BND(6)=X(3)-10.D+00
BND(3)=-X(2)+0D+00
BND(4)=X(2)-20.D+00

CALL FINISH_CODELIST
END PROGRAM GALENET
